View Issue Details

IDProjectCategoryView StatusLast Update
00261662.x IDE BugsWeb ServerPublic2018-10-25 17:10
ReporterStewart BishopAssigned ToAlan Savage 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product VersionPre-2.1.3 
Target Version2.2.1Fixed in Version2.2.1 
Summary0026166: Web Server: GMS2 provides a different IP range than GMS1 provides, requires users to add in a different IP
DescriptionUsing our IP range for example if you run a HTML5 game in GMS1 your web server will have

10.36.11.0/24

Within the list of allowed IPs however if you run a HTML5 game in GMS2 your web server will have

192.168.0.0/24

The IP from GMS2 won't work for our network range for example and you have to manually add in the correct IP to allow mobile devices to connect to the HTML5 game.
Steps To Reproduce1) Create a project in GMS2
2) Change target to HTML5
3) Run it
4) Take a note of the IP Range
5) Do steps 1 to 3 in GMS1
6) See that the IP Range is correct in this case
Tagspreferences, WebServer
2.x IDE Found In2.0.6.101
2.x Runtime Found In2.0.6.60
2.x IDE Verified In2.2.1.355
2.x Runtime Verified In2.2.1.268

Activities

Dan

2017-04-06 16:20

Adminstrator   ~0052681

Make sure GMS1 actually auto-detects your IP and uses that, as I think this is just that you'd previously set the IP range correctly in GMS1.

There is a a legit bug, though, if GMS2 is resetting your IP back to 192.168.... each time.

And I thought the issue was that it didn't use the .0/24 bit in GMS2 and instead just specified one fixed IP?

Stewart Bishop

2017-04-06 17:02

Adminstrator   ~0052684

Every time you start the web server again the list of IPs is always reset back to the default 192.168.0.0/24 regardless of what you've previously put in.

Whether GMS1 does this also needs to be checked I guess.

Alan Savage

2018-08-07 16:08

Developer   ~0061088

updated igor to use local ip as base for allowed webserver ip (unless overridden by a specific browser device setting)